proc (3) = imts_lintobit_pb(dta, bbb, pame, y);
    local nnn, pameh, hh, gh, covh, reth, mmm, iii, bb1, bb2, bb3, bbp1, bbp2, bbp3, 
          eeep, beta, tt, yyp1, censp, uncsp, ybp, dtap, pp, indh, depp,  
          pv1, pv2, pv3;

    {bb1, bb2, bb3} = imts_lintobit(dta, pame);

    nnn   = rows(dta);
    pp    = cols(dta);
    indh  = dta[.,2:pp];
    beta  = pame[1:(pp-1),1];
    tt    = pame[pp,1];

    mmm  = zeros(bbb,3);
    iii  = 1;
    do until iii > bbb;

        eeep = rndn(nnn,1);
        yyp1 = indh*beta + tt*eeep;
        censp= (yyp1 .<= 0);
        uncsp= 1 - censp;
        ybp = uncsp.*yyp1;
        dtap = ybp~indh;
        {pameh, hh, gh, covh, reth} = CML(dtap, 0, &pdflintobit, y);
        { bbp1, bbp2, bbp3 } = imts_lintobit(dtap, pameh);

        mmm[iii,1] = (bbp1 .>= bb1);
        mmm[iii,2] = (bbp2 .>= bb2);
        mmm[iii,3] = (bbp3 .>= bb3);
        iii = iii + 1;
    endo;

    pv1 = meanc(mmm[.,1]);
    pv2 = meanc(mmm[.,2]);
    pv3 = meanc(mmm[.,3]);

    retp( pv1, pv2, pv3 );
endp;
