proc pdflintobit(x, dta);
    local nn, pp, cc, tt, cen, unc, dep, ind;
    nn   = rows(dta);
    pp   = cols(dta);
    dep  = dta[.,1];
    ind  = dta[.,2:pp];
    cen  = (dta[.,1] .<= 0);
    unc  = 1 - cen;
    cc   = x[1:(pp-1),1];
    tt   = x[pp,1];
    retp( -0.5*unc.*(ln(2*pi) + ln(tt^2) +(dep - ind*cc)^2/tt^2) + cen.*(ln(1-cdfn((ind*cc)/tt))) );
endp;
